Bug 107593 - less doesn't page up well under gnome-terminal
Summary: less doesn't page up well under gnome-terminal
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: vte   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-20 21:22 UTC by Brian Brock
Modified: 2007-04-18 16:58 UTC (History)
2 users (show)

Fixed In Version: 0.12.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 21:40:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brian Brock 2003-10-20 21:22:00 UTC
less displays some errors to stdout during scroll up, triggered by hitting the
"page up" key.  seems to happen with all LANG settings.

using:
gnome-terminal-2.4.0.1-1
less-378-11.1

For repeatable test, run `man bash` then hit the 'end' key to scroll to the end
of input.  Hit the 'page up' key to scroll back a page.  Output seems to
repeatedly display the top line of the display, writing a new line at a time
(containing the same string) without overwriting any lines at the top of the
screen with new output.  Reading a large file (more than displayed on a single
screen) with less causes identical symptoms.

I don't see this error at a linux text console outside of X, or in konsole.

Comment 1 Miloslav Trmac 2003-10-21 11:24:41 UTC
I don't see this with
less-378-11.1
gnome-terminal-2.4.0.1-1
man-1.5k-12

LANG="cs_CZ.UTF-8"
That said, it might be related to bug 91691.

Comment 2 Need Real Name 2004-09-23 09:57:29 UTC
I get this problem on Fedora Core 2.

$ rpm -q gnome-terminal less man
gnome-terminal-2.6.0-2
less-382-3
man-1.5m2-6

$ echo $LANG
en_GB.UTF-8

Comment 3 Ray Strode [halfline] 2004-09-23 14:10:23 UTC
Hi,

What version of VTE do you have?  Are you running Fedora Core 2, or
Fedora Core 3 test 2?

Thanks.

Comment 4 Brian Brock 2004-10-05 14:50:37 UTC
I also see this in RHEL 3, update 3.

gnome-terminal-2.2.2-1
vte-0.11.10-3
less-378-11

LANG="en_US.UTF-8"
SUPPORTED="en_US.UTF-8:en_US:en"
SYSFONT="latarcyrheb-sun16"


normally, I use konsole in RHEL.  gnome-terminal launched from command
line under konsole.  in the new gnome-terminal session, I ran `man
bash`, and see a long lag on writes when pgup'ing... mirrors symptoms
in original report.

Comment 5 Ivano Cristofolini 2005-01-31 08:25:07 UTC
I just found a workaround for this bug (which still exists in FC3).
Try adding the "-h0" option to less. To make it permanent, I added an
alias less='less -h0' in /etc/profile.d/less.sh and also added '-h0'
to the PAGER variable in /etc/man.config, to fix the man command as well.


Comment 6 Behdad Esfahbod 2006-07-27 21:40:47 UTC
This is already fixed in FC5.


Note You need to log in before you can comment on or make changes to this bug.